System.ServiceModel 4.0.0.0 To be added.

When implemented, this interface specifies a contract for a security context token cache.

- Method
  4.0.0.0
  System.Void `` To be added.

  Adds a security context security token to the token cache.

  The .
- Method
  4.0.0.0
  System.Void To be added.

  Clears the token cache of content.

- Method
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.ServiceModel.Security.Tokens.SecurityContextSecurityToken> `` To be added.

  Gets a collection of security context security token IDs that match a specified context ID.

  A generic collection of s.

  The specified security context ID.
- Method
  4.0.0.0
  System.ServiceModel.Security.Tokens.SecurityContextSecurityToken `` `` To be added.

  Gets the security context security token ID that matches a specified context ID and generation.

  The matching .

  The specified security context ID. A that represents the generation.
- Method
  4.0.0.0
  System.Void `` To be added.

  Removes all tokens from the cache that match a given context ID.

  The specified security context ID.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Removes the token from the cache that matches a given context ID and generation.

  The specified security context ID. A that represents the generation.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Tries to add a token to the cache.

  true if the token was added successfully to the cache; otherwise, false.

  The .
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Updates the expiration date for a token in the cache.

  The . The new expiration time and date.